unit Globals;

{	Created June 29, 1989, to organize global variables			}

interface

const
	NULL = chr(0);
	TAB = chr(9);
	ENDLINE = chr(13);
	SPACE = chr(32);
	BULLET = '';
	DAYSECS = 86400;		{	Seconds in 24 hours	}
	MySignature = longint('mhtb');

type
	BackOpts = (Normal, Kill, Purge, StuffNone, StuffFaster, StuffFast, StuffOptimal, StuffBestGuess, StuffBetter);
	StuffOpts = (NoStuff, DoNone, DoFaster, DoFast, DoOptimal, DoBestGuess, DoBetter);
	DefaultStuff = record
			DNextLaunch, DBackupPath, DTextPath: str255;
			BUTextPath, MaxBUSize: str255;
			WriteToTabby, FullLog, BriefLog, LogErrors: boolean;
			Undelete, Renumber: boolean;
			DBackupMode: BackOpts;
			ProcessUL, DeleteByLevel: boolean;
			SkipDeletes, DoChangeLevel, KillOld: boolean;
			LogDeletes, KillOldOneCalls, UseVetFlag: boolean;
			SetVetFlag, SortUserLog, ZeroMin: boolean;
			DeleteLevel, CheckLevel, ChangeLevel: integer;
			ChangeToLevel, ChangeToMin, InactiveDays: integer;
			OneCallDays, VetCalls, VetFlag: integer;
			TextType: packed array[1..4] of char;
			ResetCL, DoCLADays, ResetTL, DoTLADays: boolean;
			CLDays, CLADays, TLDays, TLADays: integer;
			DoCLAStuff, DoTLAStuff: StuffOpts;
			NewLimit, NewAge: integer;
			NewBU: boolean;
		end;
	DefaultStuffPtr = ^DefaultStuff;
	MyByte = byte;
	OneString = STR255;
	OneStringPtr = ^OneString;
	OneStringHdl = ^OneStringPtr;

	Section = record
			Name: string;
			Limit: longint;
			Age: longint;
			Number: integer;
			Backup: boolean
		end;
	SectionPtr = ^Section;
	SectionHandle = ^SectionPtr;

var
	DefaultsPtr: DefaultStuffPtr;
	Sections: array[1..255] of SectionHandle;
	BeginTotal, EndTotal, DeleteTotal, SurplusTotal, TooOldTotal: integer;
	internalResFile, externalResFile, ErrorCode, TLogRef, DefaultVol: integer;
	DateString, TimeString, mehitVersion: STR255;
	Defaults, BigLogName, BriefLogName, MsgErrLogName, OrphanLogName: STR255;
	MESSAGESPath, TextDefaults: STR255;
	ErrorFlag, newExternalFile: boolean;
	StatusRect, MsgNoRect: rect;

implementation

end.		{	Globals unit	}